<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('mesyuarat_pelesenans', function (Blueprint $table) {
            $table->id();
            $table->date('dt_mesyuarat')->nullable();
            $table->string('bil_mesyuarat')->nullable();
            $table->enum('kunci_senarai', ['0','1'])->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('mesyuarat_pelesenans');
    }
};
